[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DynArrayBounds

Return the bounds of the dynamic array

## Declaration

Source position: dynarrh.inc line 41

`function DynArrayBounds(`
`a: Pointer;`
`typeInfo: Pointer`
`):TBoundArray;`

## Description

DynArrayBounds returns the bounds of all the dimensions of the dynamic array a with type information typeInfo.

The result is an array (zero-based) with the maximum valid index for each dimension in the array: the lower bound is not present in the result, it is always zero.

## See also

InitializeArray |  | Initialize managed-type elements in array
FinalizeArray |  | Finalize managed-type elements in array
CopyArray |  | Copy managed-type elements in array
DynArraySize |  | Return length of dynamic array
DynArrayClear |  | Clears a dynamic array
DynArrayDim |  | Return the number of dimensions in a dynamic array